@charset "utf-8";

@font-face {
	font-family: valentine;
	src: url(./fonts/Filxgirl.TTF);
}

/* Global Styles */

a:hover {

	color: rgba(255,255,255,1.00);

}
/* Whole page content */

body {
	/* display: block; */
	margin: 0;
}

#mainWrapper {

	position: absolute;

	/* overflow: scroll; */

	width: 100%;

	min-width: 750px;

	height: 100%;

	background-color: #FFFFFF;
}

/*header*/

header {

	position: relative;

	font-family: 'valentine', sans-serif;

	position: static;

	top: 0px;

	width: 100%;

	background-color: #E91E63;

	font-size: 5.0em;

	font-style: normal;

	padding-bottom: 1.3vw;

	float: left;

	box-shadow: 0px 2px 4px  #888888;

}

header div {
	width: 1200px;
	margin: auto;
	padding-bottom: 1.3vw;
}

/* Logo placeholder*/

#logo {

	float: left;

	padding-top: 3vw;

	padding-bottom: 20px;

	padding-left: 3%;

	width: auto;

	margin: auto;

	text-align: left;

	color: #FFFFFF;

	position: relative;
}

header img {

    height: auto;

    position: relative;

    float: left;

    /* padding-left: 1em; */

    /* padding-right: 1vw; */
    
    padding-top: 2vw;
    
    width: 300px;

}/* div for Links in header */

#headerLinks {

	float: left;

	width: calc( 100% - 139px );

	text-align: right;

	padding-top: 10px;

	padding-bottom: 10px;

	background-color: rgba(255,255,255,1.00);

}

/* Links in header */

#headerLinks a {

	text-decoration: none;

	color: rgba(146,146,146,1.00);

	padding-left: 66px;

	font-size: 14px;

}

/* Offer text banner*/

#offer {

	font-family: 'Roboto', sans-serif;

	clear: both;

	background-color: rgba(246,246,246,1.00);

	color: rgba(146,146,146,1.00);

	padding-left: 115px;

	padding-top: 57px;

	padding-bottom: 57px;

}

/* Main content of the site */

#content {

	/* clear: both; */

	position: relative;

	height: 100%;

	width: 100%;

	/* position: relative; */

	/* overflow: auto; */

	float: left;

	background-image: url(../images/background.jpg);

	background-repeat: no-repeat;

	background-size: cover;

	background-position: 50px 0%;

}

/* Sidebar */


/* main content of the site */

#content .mainContent {

	position: relative;

	/* float: inherit; */

	/* width: 100%; */

	background-color: rgba(255,255,255,0.3);

	height: calc(100% - 36px);

	font-family: Roboto, sans-serif;

	overflow: auto;

	/* margin-right: 0px; */

	text-align: center;

	/* margin-top: 0px; */

	margin-left: 220px;

	padding-left: 4%;

	padding-top: 36px;
}

.mainContent .text {

	width: 100%;

	margin-top: 10%;

	color: black;

	font-family: 'valentine', sans-serif;

	font-size: 5em;

	font-style: normal;
	/*

	max-width: 50em;

	min-width: 20em;


	font-family: 'Roboto', sans-serif;

 	float: left; */

	word-wrap: break-word;

}

#content .sidebar {

	position: relative;

	width: 140px;

	height: calc(100% - 36px);

	/* max-width: 150px; */

	/* min-width: 90px; */

	padding-left: 40px;

	padding-right: 40px;

	padding-top: 36px;

	font-family: 'Roboto', sans-serif;

	color: white;

	text-align: center;

	background-color: #FF4081;

	float: left;

	box-shadow: 2px 0px 2px  #888888;

}

/*menubar's properties for menus in sidebar */

#content .sidebar #menubar {

	position: relative;

	text-align: left;

}

/*menu elements */

.menu ul li {

	list-style-type: none;

	font-size: x-large;

	position: relative;

	left: -35px;

	padding-top: 12px;
	
	background-color: #FF4081;

}


.menu ul li:hover {

	list-style-type: none;
	


}

/*Links under menus in sidebar */

#menubar .menu ul li a {

	font-size: 14px;

}

.sidebar #menubar .menu ul li a:hover {

	color: rgba(107,97,97,1.00);

	text-decoration: none;

}

/* Menu headings in sidebar */

#menubar .menu h2 {

	font-size: 14px;

}


/* Menus in sidebar */

.sidebar #menubar .menu {

	margin-bottom: 29px;

}

/* Product rows for catalog */

#content .mainContent .productRow {

	overflow: auto;

	color: #FFFFFF;

}

/* Each product Information in the catalog */

.mainContent .productRow .productInfo {

	float: left;

	padding-left: 5%;

	padding-right: 5%;

	width: 22%;

}

/* Prices of a products in catalog */

.productRow .productInfo .price {

	font-family: 'Roboto', sans-serif;

	/* color: rgba(146,146,146,1.00);*/

	background-color:rgba(0,0,0,0.3);

	font-size: 22px;

	height: 1.4em;

	position: relative;

	top: -1.7em;

	padding-top: 0.3em;

}

/* Content holder for products in catalog*/

.productRow .productInfo .productContent {

	position: relative;

	top: -37px;

	font-size: 20px;

	font-family: Roboto, sans-serif;

	font-style: normal;

	font-weight: 200;

	color: black;

	white-space: pre-wrap;

}

.productRow .productInfo .orderButton {
	position: relative;

	top: -48px;

	width: 84%;
}

/* Buy button for products in catalog */

.productRow .productInfo .buyButton {

	position: relative;

	top: -48px;

	width: 84%;

	background-color: #2196F3;

	height: 35px;

	color: rgba(255,255,255,1.00);

	border-style: none;

	font-size: 14px;

	text-transform: uppercase;

	margin-top: 8px;

}

.mainContent .annotation {
	font-size: 18px;
}

/* styling of the impressum */

#map {
	width: 25vw;
	height: 20vw;
}

.mainContent h4 {
	text-align: left;
}

.mainContent .contact td {

	margin-top: 0;
	padding-right: 1.5vw;
	padding-bottom: 1vw;
}

.mainContent .contact .details {

	margin-top: 2%;

	padding-top: 1vw;

	padding-left: 1vw;

	padding-right: 1vw;

	padding-bottom: 1vw;

	font-family: Roboto, sans-serif;

	width: 23vw;

	/*height: 110px;*/

	background-color: rgba(255,255,255,0.3);

	text-align: left;

	position: relative;
}

.mainContent .contact .details p{
	/* position: relative; */

	padding-right: 1vw;

	font-size: 18px;
}

/* footer */

#mainWrapper footer {

	/* clear: both; */

	position: static;

	margin-top: 0%;

	overflow: auto;

	background-color: #F06292;

	font-family: Roboto, sans-serif;

	font-style: normal;

	/* height: 10%; */

	font-weight: 200;

	/* line-height: 1.8; */

	padding-top: 22px;

	padding-left: 22px;

	text-align: center;

	padding-bottom: 22px;

	padding-right: 22px;

	height: 50px;

}

/*Each footer content */

#mainWrapper footer div {

	margin:auto;

	width: 27%;

	padding-left: 4%;

	padding-right: 2%;

	color: rgba(255,255,255,1.00);

	text-align: justify;

}

/* Links in footer*/


footer div a {

	color: white;

	display: block;

	text-decoration: none;

	text-align: center;

}

footer p {
	margin: 0;
}
/* Product's images in catalog */

.productInfo div img {

	width: 100%;

}

/*Links in sidebar */

.sidebar #menubar .menu ul li a {

	color: rgba(146,146,146,1.00);

	text-decoration: none;

}

.menu h2{
cursor: default;
}

.sidebar #menubar .menu ul li a:hover {

	color: rgba(146,146,146,1.00);
	background-color: #FCAAC5;
	text-decoration:underline;
	cursor: pointer;

}

/* Container for links in footer */

footer .footerlinks {

	margin-top: -15px;

}
